package javax.sql.rowset;

import java.sql.Savepoint;
import java.sql.SQLException;
import javax.sql.RowSet;

public interface JdbcRowSet extends RowSet, Joinable
{
    public abstract boolean getShowDeleted() throws SQLException;
    
    public abstract void setShowDeleted(boolean p0) throws SQLException;
    
    public abstract RowSetWarning getRowSetWarnings() throws SQLException;
    
    public abstract void commit() throws SQLException;
    
    public abstract boolean getAutoCommit() throws SQLException;
    
    public abstract void setAutoCommit(boolean p0) throws SQLException;
    
    public abstract void rollback() throws SQLException;
    
    public abstract void rollback(Savepoint p0) throws SQLException;
}
